// k8055_Dlg.h : header file
//

#pragma once
#include "afxwin.h"
#include "k8055d.h"
#include "afxcmn.h"

// K8055_Dlg dialog
class K8055_Dlg : public CDialog
{
// Construction
public:
	K8055_Dlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_K8055_TEST_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	CButton Button_Init;
	afx_msg void OnBnClickedInit();
	CComboBox CBX_Adress;
	k8055d C;
	void OnTimer(UINT_PTR uID);

	CProgressCtrl Prog_inadch1;
	CProgressCtrl Prog_inadch2;
	CSliderCtrl Prog_outadch1;
	CSliderCtrl Prog_outdach2;
	CSliderCtrl da1;
	CSliderCtrl da2;
	CProgressCtrl ad1;
	CProgressCtrl ad2;
	CButton sk5;
	CButton sk6;
	CButton din1;
	CButton din2;
	CButton din3;
	CButton din4;
	CButton din5;
	CButton dout1;
	CButton dout2;
	CButton dout3;
	CButton dout4;
	CButton dout5;
	CButton dout6;
	CButton dout7;
	CButton dout8;
	afx_msg void OnBnClickedUpdate();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedCancel();
	afx_msg void OnBnClickedDout1();
	afx_msg void OnBnClickedDout2();
	afx_msg void OnBnClickedDout3();
	afx_msg void OnBnClickedDout4();
	afx_msg void OnBnClickedDout5();
	afx_msg void OnBnClickedDout6();
	afx_msg void OnBnClickedDout7();
	afx_msg void OnBnClickedDout8();
	afx_msg void OnNMCustomdrawDa1(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnNMCustomdrawDa2(NMHDR *pNMHDR, LRESULT *pResult);
	afx_msg void OnBnClickedTimer();
	afx_msg void OnBnClickedSetalldigital();
	afx_msg void OnBnClickedClearalldigital();
	afx_msg void OnBnClickedSetallanalog();
	afx_msg void OnBnClickedClearallanalog();
	afx_msg void OnBnClickedResct1();
	CEdit ct1;
	CEdit dbct1;
	CEdit ct2;
	CEdit dbct2;
	afx_msg void OnBnClickedResct2();
	afx_msg void OnBnClickedSetct1();
	afx_msg void OnBnClickedSetct2();
};

