// k8055_Dlg.cpp : implementation file
//

#include "stdafx.h"
#include "k8055_test.h"
#include "k8055_Dlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#endif

#define POLL_TIME	50

// CAboutDlg dialog used for App About

class CAboutDlg : public CDialog
{
public:
	CAboutDlg();

// Dialog Data
	enum { IDD = IDD_ABOUTBOX };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

// Implementation
protected:
	DECLARE_MESSAGE_MAP()
};

CAboutDlg::CAboutDlg() : CDialog(CAboutDlg::IDD)
{
}

void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
}

BEGIN_MESSAGE_MAP(CAboutDlg, CDialog)
END_MESSAGE_MAP()


// K8055_Dlg dialog

K8055_Dlg::K8055_Dlg(CWnd* pParent /*=NULL*/)
	: CDialog(K8055_Dlg::IDD, pParent)
{
	m_hIcon = AfxGetApp()->LoadIcon(IDR_MAINFRAME);
}

void K8055_Dlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_INIT, Button_Init);
	DDX_Control(pDX, IDC_DA1, da1);
	DDX_Control(pDX, IDC_DA2, da2);
	DDX_Control(pDX, IDC_AD1, ad1);
	DDX_Control(pDX, IDC_AD2, ad2);
	DDX_Control(pDX, IDC_SK5, sk5);
	DDX_Control(pDX, IDC_SK6, sk6);
	DDX_Control(pDX, IDC_DIN1, din1);
	DDX_Control(pDX, IDC_DIN2, din2);
	DDX_Control(pDX, IDC_DIN3, din3);
	DDX_Control(pDX, IDC_DIN4, din4);
	DDX_Control(pDX, IDC_DIN5, din5);
	DDX_Control(pDX, IDC_DOUT1, dout1);
	DDX_Control(pDX, IDC_DOUT2, dout2);
	DDX_Control(pDX, IDC_DOUT3, dout3);
	DDX_Control(pDX, IDC_DOUT4, dout4);
	DDX_Control(pDX, IDC_DOUT5, dout5);
	DDX_Control(pDX, IDC_DOUT6, dout6);
	DDX_Control(pDX, IDC_DOUT7, dout7);
	DDX_Control(pDX, IDC_DOUT8, dout8);
	DDX_Control(pDX, IDC_CT1, ct1);
	DDX_Control(pDX, IDC_DBCT1, dbct1);
	DDX_Control(pDX, IDC_CT2, ct2);
	DDX_Control(pDX, IDC_DBCT2, dbct2);
}

BEGIN_MESSAGE_MAP(K8055_Dlg, CDialog)
	ON_WM_SYSCOMMAND()
	ON_WM_PAINT()
	ON_WM_QUERYDRAGICON()
	ON_WM_TIMER()
	//}}AFX_MSG_MAP
	ON_BN_CLICKED(IDC_INIT, OnBnClickedInit)
	ON_BN_CLICKED(IDC_UPDATE, OnBnClickedUpdate)
	ON_BN_CLICKED(IDOK, OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, OnBnClickedCancel)
	ON_BN_CLICKED(IDC_DOUT1, OnBnClickedDout1)
	ON_BN_CLICKED(IDC_DOUT2, OnBnClickedDout2)
	ON_BN_CLICKED(IDC_DOUT3, OnBnClickedDout3)
	ON_BN_CLICKED(IDC_DOUT4, OnBnClickedDout4)
	ON_BN_CLICKED(IDC_DOUT5, OnBnClickedDout5)
	ON_BN_CLICKED(IDC_DOUT6, OnBnClickedDout6)
	ON_BN_CLICKED(IDC_DOUT7, OnBnClickedDout7)
	ON_BN_CLICKED(IDC_DOUT8, OnBnClickedDout8)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_DA1, OnNMCustomdrawDa1)
	ON_NOTIFY(NM_CUSTOMDRAW, IDC_DA2, OnNMCustomdrawDa2)
	ON_BN_CLICKED(IDC_SETALLDIGITAL, OnBnClickedSetalldigital)
	ON_BN_CLICKED(IDC_CLEARALLDIGITAL, OnBnClickedClearalldigital)
	ON_BN_CLICKED(IDC_SETALLANALOG, OnBnClickedSetallanalog)
	ON_BN_CLICKED(IDC_CLEARALLANALOG, OnBnClickedClearallanalog)
	ON_BN_CLICKED(IDC_RESCT1, OnBnClickedResct1)
	ON_BN_CLICKED(IDC_RESCT2, OnBnClickedResct2)
	ON_BN_CLICKED(IDC_SETCT1, OnBnClickedSetct1)
	ON_BN_CLICKED(IDC_SETCT2, OnBnClickedSetct2)
END_MESSAGE_MAP()


// K8055_Dlg message handlers

BOOL K8055_Dlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	// Add "About..." menu item to system menu.

	// IDM_ABOUTBOX must be in the system command range.
	ASSERT((IDM_ABOUTBOX & 0xFFF0) == IDM_ABOUTBOX);
	ASSERT(IDM_ABOUTBOX < 0xF000);

	CMenu* pSysMenu = GetSystemMenu(FALSE);
	if (pSysMenu != NULL)
	{
		CString strAboutMenu;
		strAboutMenu.LoadString(IDS_ABOUTBOX);
		if (!strAboutMenu.IsEmpty())
		{
			pSysMenu->AppendMenu(MF_SEPARATOR);
			pSysMenu->AppendMenu(MF_STRING, IDM_ABOUTBOX, strAboutMenu);
		}
	}

	// Set the icon for this dialog.  The framework does this automatically
	//  when the application's main window is not a dialog
	SetIcon(m_hIcon, TRUE);			// Set big icon
	SetIcon(m_hIcon, FALSE);		// Set small icon

	// TODO: Add extra initialization here
	da1.SetRange(0,255,true);
	da1.SetPos(255);
	da2.SetRange(0,255,true);
	da2.SetPos(255);

	ad1.SetRange(0,255);
	ad1.SetStep(1);
	ad1.SetPos(0);
	ad2.SetRange(0,255);
	ad2.SetStep(1);
	ad2.SetPos(0);

	sk5.SetCheck(true);
	sk6.SetCheck(true);

	C.init();

	return TRUE;  // return TRUE  unless you set the focus to a control
}

void K8055_Dlg::OnTimer(UINT_PTR uID) 
{
	long data1, data2;
	KillTimer(1);
	C.ReadAllAnalog(&data1, &data2);
	ad1.SetPos(data1);
	ad2.SetPos(data2);
	SetDlgItemInt(IDC_AD1NUM,data1,false);
	SetDlgItemInt(IDC_AD2NUM,data2,false);

	data1 = C.ReadAllDigital();
	din1.SetCheck(data1 & 1);
	din2.SetCheck(data1 & 2);
	din3.SetCheck(data1 & 4);
	din4.SetCheck(data1 & 8);
	din5.SetCheck(data1 & 16);

	SetDlgItemInt(IDC_CT1,C.ReadCounter(1),false);
	SetDlgItemInt(IDC_CT2,C.ReadCounter(2),false);
	SetTimer(1,POLL_TIME,0);
}

void K8055_Dlg::OnSysCommand(UINT nID, LPARAM lParam)
{
	if ((nID & 0xFFF0) == IDM_ABOUTBOX)
	{
		CAboutDlg dlgAbout;
		dlgAbout.DoModal();
	}
	else
	{	
		if (nID == WM_TIMER) 
			OnTimer(nID);
		if (lParam == WM_TIMER)
			OnTimer(nID);
		CDialog::OnSysCommand(nID, lParam);
	}
}

// If you add a minimize button to your dialog, you will need the code below
//  to draw the icon.  For MFC applications using the document/view model,
//  this is automatically done for you by the framework.

void K8055_Dlg::OnPaint() 
{
	if (IsIconic())
	{
		CPaintDC dc(this); // device context for painting

		SendMessage(WM_ICONERASEBKGND, reinterpret_cast<WPARAM>(dc.GetSafeHdc()), 0);

		// Center icon in client rectangle
		int cxIcon = GetSystemMetrics(SM_CXICON);
		int cyIcon = GetSystemMetrics(SM_CYICON);
		CRect rect;
		GetClientRect(&rect);
		int x = (rect.Width() - cxIcon + 1) / 2;
		int y = (rect.Height() - cyIcon + 1) / 2;

		// Draw the icon
		dc.DrawIcon(x, y, m_hIcon);
	}
	else
	{
		CDialog::OnPaint();
	}
}

// The system calls this function to obtain the cursor to display while the user drags
//  the minimized window.
HCURSOR K8055_Dlg::OnQueryDragIcon()
{
	return static_cast<HCURSOR>(m_hIcon);
}

void K8055_Dlg::OnBnClickedInit()
{

	int h = -1;
	h=C.OpenDevice(3-sk5.GetCheck()-2*sk6.GetCheck());
	if (-1!=h)
		SetDlgItemText(IDC_INIT,"Initialized");
	else
		SetDlgItemText(IDC_INIT,"Not Initialized");

	SetTimer(1,POLL_TIME,NULL);
}

void K8055_Dlg::OnBnClickedUpdate()
{
	long slask = 0;
	long data1 = 0;
	long data2 = 0;

	// TODO: Add your control notification handler code here
	C.OutputAnalogChannel(1,255-da1.GetPos());
	C.OutputAnalogChannel(2,255-da2.GetPos());

	slask += dout1.GetCheck();
	slask += dout2.GetCheck()*2;
	slask += dout3.GetCheck()*4;
	slask += dout4.GetCheck()*8;
	slask += dout5.GetCheck()*16;
	slask += dout6.GetCheck()*32;
	slask += dout7.GetCheck()*64;
	slask += dout8.GetCheck()*128;
	C.WriteAllDigital(slask);

	C.ReadAllAnalog(&data1, &data2);
	ad1.SetPos(data1);
	ad2.SetPos(data2);
	SetDlgItemInt(IDC_AD1NUM,data1,false);
	SetDlgItemInt(IDC_AD2NUM,data2,false);

	data1 = C.ReadAllDigital();
	din1.SetCheck(data1 & 1);
	din2.SetCheck(data1 & 2);
	din3.SetCheck(data1 & 4);
	din4.SetCheck(data1 & 8);
	din5.SetCheck(data1 & 16);
}

void K8055_Dlg::OnBnClickedOk()
{
	C.ClearAllAnalog();
	C.ClearAllDigital();
	C.CloseDevice();
	OnOK();
}

void K8055_Dlg::OnBnClickedCancel()
{
	C.ClearAllAnalog();
	C.ClearAllDigital();
	C.CloseDevice();
	OnCancel();
}

void K8055_Dlg::OnBnClickedDout1()
{
	if (dout1.GetCheck())
		C.SetDigitalChannel(1);
	else
		C.ClearDigitalChannel(1);
}

void K8055_Dlg::OnBnClickedDout2()
{
	if (dout2.GetCheck())
		C.SetDigitalChannel(2);
	else
		C.ClearDigitalChannel(2);
}

void K8055_Dlg::OnBnClickedDout3()
{
	if (dout3.GetCheck())
		C.SetDigitalChannel(3);
	else
		C.ClearDigitalChannel(3);
}

void K8055_Dlg::OnBnClickedDout4()
{
	if (dout4.GetCheck())
		C.SetDigitalChannel(4);
	else
		C.ClearDigitalChannel(4);
}

void K8055_Dlg::OnBnClickedDout5()
{
	if (dout5.GetCheck())
		C.SetDigitalChannel(5);
	else
		C.ClearDigitalChannel(5);
}

void K8055_Dlg::OnBnClickedDout6()
{
	if (dout6.GetCheck())
		C.SetDigitalChannel(6);
	else
		C.ClearDigitalChannel(6);
}

void K8055_Dlg::OnBnClickedDout7()
{
	if (dout7.GetCheck())
		C.SetDigitalChannel(7);
	else
		C.ClearDigitalChannel(7);
}

void K8055_Dlg::OnBnClickedDout8()
{
	if (dout8.GetCheck())
		C.SetDigitalChannel(8);
	else
		C.ClearDigitalChannel(8);
}

void K8055_Dlg::OnNMCustomdrawDa1(NMHDR *pNMHDR, LRESULT *pResult)
{
	LPNMCUSTOMDRAW pNMCD = reinterpret_cast<LPNMCUSTOMDRAW>(pNMHDR);
	// TODO: Add your control notification handler code here
	*pResult = 0;
	C.OutputAnalogChannel(1,255-da1.GetPos());
	SetDlgItemInt(IDC_DA1NUM,255-da1.GetPos(),false);
}

void K8055_Dlg::OnNMCustomdrawDa2(NMHDR *pNMHDR, LRESULT *pResult)
{
	LPNMCUSTOMDRAW pNMCD = reinterpret_cast<LPNMCUSTOMDRAW>(pNMHDR);
	// TODO: Add your control notification handler code here
	*pResult = 0;
	C.OutputAnalogChannel(2,255-da2.GetPos());
	SetDlgItemInt(IDC_DA2NUM,255-da2.GetPos(),false);
}

void K8055_Dlg::OnBnClickedTimer()
{
	// TODO: Add your control notification handler code here
	OnTimer(0);
}

void K8055_Dlg::OnBnClickedSetalldigital()
{
	// TODO: Add your control notification handler code here
	C.SetAllDigital();
	dout1.SetCheck(1);
	dout2.SetCheck(1);
	dout3.SetCheck(1);
	dout4.SetCheck(1);
	dout5.SetCheck(1);
	dout6.SetCheck(1);
	dout7.SetCheck(1);
	dout8.SetCheck(1);
}

void K8055_Dlg::OnBnClickedClearalldigital()
{
	// TODO: Add your control notification handler code here
		C.ClearAllDigital();
	dout1.SetCheck(0);
	dout2.SetCheck(0);
	dout3.SetCheck(0);
	dout4.SetCheck(0);
	dout5.SetCheck(0);
	dout6.SetCheck(0);
	dout7.SetCheck(0);
	dout8.SetCheck(0);
}

void K8055_Dlg::OnBnClickedSetallanalog()
{
	// TODO: Add your control notification handler code here
	C.SetAllAnalog();
	da1.SetPos(0);
	da2.SetPos(0);
}

void K8055_Dlg::OnBnClickedClearallanalog()
{
	// TODO: Add your control notification handler code here
	C.ClearAllAnalog();
	da1.SetPos(255);
	da2.SetPos(255);

}

void K8055_Dlg::OnBnClickedResct1()
{
	// TODO: Add your control notification handler code here
	C.ResetCounter(1);
}

void K8055_Dlg::OnBnClickedResct2()
{
	C.ResetCounter(2);
}

void K8055_Dlg::OnBnClickedSetct1()
{
	char chTemp[256];
	long temp = 0;
	GetDlgItemText(IDC_DBCT1,chTemp,256);
	sscanf(chTemp,"%u",&temp);
	C.SetCounterDebounceTime(1,temp);
}

void K8055_Dlg::OnBnClickedSetct2()
{
	char chTemp[256];
	long temp = 0;
	GetDlgItemText(IDC_DBCT2,chTemp,256);
	sscanf(chTemp,"%u",&temp);
	C.SetCounterDebounceTime(2,temp);
}
